package cn.com.qmth.stmms.biz.config.dao;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.config.model.SystemConfig;
import cn.com.qmth.stmms.common.enums.ConfigType;

public interface SystemConfigDao extends PagingAndSortingRepository<SystemConfig, Integer>,
        JpaSpecificationExecutor<SystemConfig> {

    SystemConfig findByType(ConfigType type);

}
