package cn.com.qmth.stmms.biz.exam.dao;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.exam.model.ScoreVerify;

public interface ScoreVerifyDao
		extends PagingAndSortingRepository<ScoreVerify, Integer>, JpaSpecificationExecutor<ScoreVerify> {

	void deleteByExamIdAndUserId(Integer examId, Integer userId);

	ScoreVerify findByExamIdAndUserIdAndStudentId(Integer examId, Integer userId, Integer studentId);
}
