<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>评卷员班级</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
</head>
<body>
	<ul class="nav nav-tabs">
		<li class="active"><a href="##">编辑班级</a></li>
	</ul><br/>
	<form:form id="inputForm" action="${ctx}/admin/exam/marker/class/${marker.id }" method="post" class="form-horizontal">
		<tags:message content="${message}"/>
		<div class="control-group">
			<label class="control-label">登录名</label>
			<div class="controls">
				${marker.user.loginName }
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">班级</label>
			<div class="controls">
			<c:forEach items="${classes}" var="result">
				${result }<br/>
			</c:forEach>
			</div>
		</div>
		<div class="form-actions">
			<a href="${ctx}/admin/exam/marker/class/delete?markerId=${marker.id}" class="btn btn-primary"/>清空全部</a>
			&nbsp;
			<a href="javascript:" onclick="history.go(-1);"  class="btn"/>返回</a>
		</div>
	</form:form>
</body>
</html>
